Package ru.bitel.bgbilling.modules.mps.server.bean

# Class MPSRequest

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.MPSRequest

    public final class MPSRequest
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `ACTION_CANCEL` |
  `static int` | `ACTION_CHECK` |
  `static int` | `ACTION_PAYMENT` |
  `static int` | `ACTION_STATUS` |
  `java.util.Map<java.lang.String,​java.lang.Object>` | `parameters` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MPSRequest​(java.sql.Connection con, int moduleId, java.lang.String mpsId, javax.servlet.http.HttpServletRequest request, Conf.MPSSystem system)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAction()` |
  `java.lang.String` | `getComment()` |
  `java.sql.Connection` | `getConnection()` |
  `int` | `getModuleId()` |
  `java.lang.String` | `getMpsId()` |
  `java.lang.String` | `getNumber()` |
  `java.lang.String` | `getRawNumber()` |
  `javax.servlet.http.HttpServletRequest` | `getRequest()` |
  `java.lang.String` | `getSessionId()` |
  `java.math.BigDecimal` | `getSum()` |
  `Conf.MPSSystem` | `getSystem()` |
  `java.util.Date` | `getTime()` |
  `java.lang.String` | `getTimeString()` |
  `java.lang.String` | `getTransId()` |
  `int` | `getType()` | Тип поиска
  `boolean` | `isTestMode()` |
  `void` | `setAction​(int action)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setNumber​(java.lang.String number)` |
  `void` | `setRawNumber​(java.lang.String rawNumber)` |
  `void` | `setSessionId​(java.lang.String sessionId)` |
  `void` | `setSum​(java.math.BigDecimal sum)` |
  `void` | `setTestMode​(boolean testMode)` |
  `void` | `setTime​(java.util.Date time)` |
  `void` | `setTimeString​(java.lang.String timeString)` |
  `void` | `setTransId​(java.lang.String transId)` |
  `void` | `setType​(int type)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ACTION_CHECK

    public static final int ACTION_CHECK
    See Also:
      Constant Field Values

  - ### ACTION_PAYMENT

    public static final int ACTION_PAYMENT
    See Also:
      Constant Field Values

  - ### ACTION_STATUS

    public static final int ACTION_STATUS
    See Also:
      Constant Field Values

  - ### ACTION_CANCEL

    public static final int ACTION_CANCEL
    See Also:
      Constant Field Values

  - ### parameters

    public final java.util.Map<java.lang.String,​java.lang.Object> parameters

- ## Constructor Details

  - ### MPSRequest

    public MPSRequest​(java.sql.Connection con, int moduleId, java.lang.String mpsId, javax.servlet.http.HttpServletRequest request, Conf.MPSSystem system)

- ## Method Details

  - ### getConnection

    public java.sql.Connection getConnection()

  - ### getSystem

    public Conf.MPSSystem getSystem()

  - ### getAction

    public int getAction()

  - ### setAction

    public void setAction​(int action)

  - ### getNumber

    public java.lang.String getNumber()

  - ### setNumber

    public void setNumber​(java.lang.String number)

  - ### getRawNumber

    public java.lang.String getRawNumber()

  - ### setRawNumber

    public void setRawNumber​(java.lang.String rawNumber)

  - ### getType

    public int getType()
    Тип поиска
    Returns:

  - ### setType

    public void setType​(int type)

  - ### getSum

    public java.math.BigDecimal getSum()

  - ### setSum

    public void setSum​(java.math.BigDecimal sum)

  - ### getTransId

    public java.lang.String getTransId()

  - ### setTransId

    public void setTransId​(java.lang.String transId)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getSessionId

    public java.lang.String getSessionId()

  - ### setSessionId

    public void setSessionId​(java.lang.String sessionId)

  - ### getTime

    public java.util.Date getTime()

  - ### setTime

    public void setTime​(java.util.Date time)

  - ### getTimeString

    public java.lang.String getTimeString()

  - ### setTimeString

    public void setTimeString​(java.lang.String timeString)

  - ### isTestMode

    public boolean isTestMode()

  - ### setTestMode

    public void setTestMode​(boolean testMode)

  - ### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

  - ### getMpsId

    public java.lang.String getMpsId()

  - ### getModuleId

    public int getModuleId()